CommandLinkRenderer (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.renderer
Class CommandLinkRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.struts.faces.renderer.AbstractRenderer
              org.apache.struts.faces.renderer.CommandLinkRenderer

    public class CommandLinkRenderer

extends AbstractRenderer

`Renderer` implementation for the `commandLink` tag from the Struts-Faces Integration Library.

Version:
  $Rev: 473327 $ $Date: 2006-11-10 06:59:22 -0600 (Fri, 10 Nov 2006) $

Constructor Summary
`CommandLinkRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Perform setup processing that will be required for decoding the incoming request.
`void` | `renderAttributes(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Render the attributes of a hyperlink to submit this form.
`void` | `renderEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Render the end of a hyperlink to submit this form.
`void` | `renderStart(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Render the beginning of a hyperlink to submit this form.

Methods inherited from class org.apache.struts.faces.renderer.AbstractRenderer
`encodeBegin, encodeChildren, encodeEnd, encodeRecursive, getAsString, isDisabled, isReadOnly, renderBoolean, renderPassThrough, setSubmittedValue`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLinkRenderer

    public CommandLinkRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Perform setup processing that will be required for decoding the incoming request.

  Overrides:
    `decode` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be processed
  Throws:
    `NullPointerException` - if `context` or `component` is null

### renderStart

    public void renderStart(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            javax.faces.context.ResponseWriter writer)
                     throws IOException

  Render the beginning of a hyperlink to submit this form.

  Overrides:
    `renderStart` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
    `writer` - ResponseWriter we are rendering to
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

### renderAttributes

    public void renderAttributes(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 javax.faces.context.ResponseWriter writer)
                          throws IOException

  Render the attributes of a hyperlink to submit this form.

  Overrides:
    `renderAttributes` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
    `writer` - ResponseWriter we are rendering to
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

### renderEnd

    public void renderEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component,
                          javax.faces.context.ResponseWriter writer)
                   throws IOException

  Render the end of a hyperlink to submit this form.

  Overrides:
    `renderEnd` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
    `writer` - ResponseWriter we are rendering to
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.